Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419030 - Review Request: perl-Return-Type - Specify a return type for a function
Summary: Review Request: perl-Return-Type - Specify a return type for a function
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 13:25 UTC by Ralf Corsepius
Modified: 2017-06-13 12:21 UTC (History)
3 users (show)

Fixed In Version: perl-Return-Type-0.005-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-13 12:21:32 UTC
Type: ---
ppisar: fedora-review+


Attachments (Terms of Use)

Description Ralf Corsepius 2017-02-03 13:25:29 UTC
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Return-Type.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Return-Type-0.005-1.fc26.src.rpm
Description:
Return::Type allows you to specify a return type for your subs. Type
constraints from any Type::Tiny, MooseX::Types or MouseX::Types type
library are supported.

Fedora Account System Username:corsepiu

Comment 1 Petr Pisar 2017-02-09 16:03:00 UTC
URL and Source0 addresses are Ok.
Source archive (SHA-256: 6666f8103cfa6beb2bc71a20f2686bd98bbd5edf1e9df9d60e0a6dc2b7f3293a) is original. Ok.
Summary verified from lib/Return/Type.pm. Ok.
Description verified from lib/Return/Type.pm. Ok.
License verified from lib/Return/Type.pm, t/03coerce.t, t/02sugar.t, t/01basic.t, README, LICENSE, COPYRIGHT, CONTRIBUTING. Ok.
No XS code, noarch BuildArch is Ok.

TODO: Constrain `perl(ExtUtils::MakeMaker)' dependency with `>= 6.17' (Makefile.PL:2).
TODO: Package CREDITS file as a documentation.

B::Deparse is not used. Ok.
Benchmark::Report::GitHub is not used. Ok.
All tests pass. Ok.

$ rpmlint perl-Return-Type.spec ../SRPMS/perl-Return-Type-0.005-1.fc26.src.rpm ../RPMS/noarch/perl-Return-Type-0.005-1.fc26.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Return-Type-0.005-1.fc26.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Feb  9 16:57 /usr/share/doc/perl-Return-Type
-rw-r--r--    1 root    root                      809 Sep  8  2014 /usr/share/doc/perl-Return-Type/Changes
-rw-r--r--    1 root    root                     3689 Sep  8  2014 /usr/share/doc/perl-Return-Type/README
drwxr-xr-x    2 root    root                        0 Feb  9 16:57 /usr/share/licenses/perl-Return-Type
-rw-r--r--    1 root    root                     1234 Sep  8  2014 /usr/share/licenses/perl-Return-Type/COPYRIGHT
-rw-r--r--    1 root    root                    18349 Sep  8  2014 /usr/share/licenses/perl-Return-Type/LICENSE
-rw-r--r--    1 root    root                     2761 Feb  9 16:57 /usr/share/man/man3/Return::Type.3pm.gz
drwxr-xr-x    2 root    root                        0 Feb  9 16:57 /usr/share/perl5/vendor_perl/Return
-rw-r--r--    1 root    root                     6686 Sep  8  2014 /usr/share/perl5/vendor_perl/Return/Type.pm
File layout and permission are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Return-Type-0.005-1.fc26.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(:VERSION) >= 5.8.0
      1 perl(Attribute::Handlers)
      1 perl(Eval::TypeTiny)
      1 perl(strict)
      1 perl(Sub::Util)
      1 perl(Types::Standard)
      1 perl(Types::TypeTiny)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
TODO: There is an optional dependency on Scope::Upper (lib/Return/Type.pm:65). I recommend to declare it using Suggests or Recommends tag.

$ rpm -q --provides -p ../RPMS/noarch/perl-Return-Type-0.005-1.fc26.noarch.rpm | sort -f | uniq -c
      1 perl(Return::Type) = 0.005
      1 perl-Return-Type = 0.005-1.fc26
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Return-Type-0.005-1.fc26.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F26 (https://koji.fedoraproject.org/koji/taskinfo?taskID=17692754). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please consider fixing the `TODO' items before building this package.
Resolution: Package APPROVED.

Comment 2 Gwyn Ciesla 2017-02-10 13:20:28 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Return-Type


Note You need to log in before you can comment on or make changes to this bug.